%global service tripleo-puppet-elements

%{!?upstream_version: %global upstream_version %{version}}

# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-puppet-elements
Summary:	OpenStack TripleO Puppet Elements for diskimage-builder
Version:	0.0.5
Release:	1%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: https://github.com/openstack/tripleo-puppet-elements/archive/%{version}.tar.gz

#
# patches_base=+1
#

BuildArch:	noarch
BuildRequires:  git
BuildRequires:	python
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python-pbr

%description
OpenStack TripleO Puppet Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images configured with
Puppet for the TripleO program.

%prep
%autosetup -n %{service}-%{version} -S git

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.md
%{python_sitelib}/tripleo_puppet_elements*
%{_datadir}/tripleo-puppet-elements

%changelog
* Tue Mar 15 2016 James Slagle <jslagle@redhat.com> 0.0.5-1
- Update to 0.0.5

* Tue Mar 08 2016 James Slagle <jslagle@redhat.com> 0.0.4-1
- Update to 0.0.4

* Thu Feb 25 2016 James Slagle <jslagle@redhat.com> 0.0.3-1
- Update to 0.0.3

* Tue Feb 23 2016 Mike Burns <mburns@redhat.com> 0.0.2-3
- Add puppet-kmod into image
- Update deric-zookeeper reference in midonet image
- Use a stable version of MidoNet Neutron Plugin
- controller: install python-redis
- Remove Cassandra repository for MidoNet element
- Adding networking MidoNet element
- Add python-memcached to list of installed pkgs on controllers

* Wed Dec 09 2015 James Slagle <jslagle@redhat.com> - 0.0.2-2
- Update to upstream 0.0.2 release

* Mon Oct 19 2015 John Trowbridge <trown@redhat.com> - 0.0.11-1
- Use a source tarball for a git hash that has passed delorean CI for liberty release

* Wed Feb 25 2015 James Slagle <jslagle@redhat.com> 0.0.1-1
- Initial packaging
